summaryrefslogtreecommitdiff
path: root/package/base-files/files/usr
diff options
context:
space:
mode:
authorwbx <wbx@hydrogenium.(none)>2009-05-17 14:41:34 +0200
committerwbx <wbx@hydrogenium.(none)>2009-05-17 14:41:34 +0200
commit219a6dab8995aad9ac4860cc1a84d6f3509a03a4 (patch)
treeb9c0f3c43aebba2fcfef777592d0add39f2072f4 /package/base-files/files/usr
Initial import
Diffstat (limited to 'package/base-files/files/usr')
-rwxr-xr-xpackage/base-files/files/usr/share/udhcpc/default.script38
1 files changed, 38 insertions, 0 deletions
diff --git a/package/base-files/files/usr/share/udhcpc/default.script b/package/base-files/files/usr/share/udhcpc/default.script
new file mode 100755
index 000000000..02e4a7a3c
--- /dev/null
+++ b/package/base-files/files/usr/share/udhcpc/default.script
@@ -0,0 +1,38 @@
+#!/bin/sh
+if [[ -z $1 ]]; then
+ echo "Error: should be run by udhcpc"
+ exit 1
+fi
+
+RESOLV_CONF=/tmp/resolv.conf
+
+case $1 in
+(deconfig)
+ ip addr flush $interface
+ ;;
+(renew|bound)
+ ip addr add $ip/${mask:-24} brd + dev $interface
+
+ if [[ -n $router ]]; then
+ echo "deleting routers"
+ while ip route del default >&- 2>&-; do :; done
+
+ for i in $router; do
+ echo "adding router $i"
+ ip route add to default via $i
+ done
+ fi
+
+ echo -n >$RESOLV_CONF
+ ${domain:+echo search $domain} >>$RESOLV_CONF
+ for i in $dns; do
+ echo "adding dns $i"
+ echo "nameserver $i" >>$RESOLV_CONF
+ done
+
+ # user rules
+ [ -f /etc/udhcpc.user ] && . /etc/udhcpc.user
+;;
+esac
+
+exit $?